Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.revoke._1_0.protocol
Class RevocableCertificateType

    java.lang.Object
      be.fgov.ehealth.etee.ra.revoke._1_0.protocol.RevocableCertificateType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:44:29+02:00",
               comments="JAXB RI v2.2.11")
    public class RevocableCertificateType

extends Object
implements Serializable

Java class for RevocableCertificateType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevocableCertificateType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RequestId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AuthDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IssuerDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ValidNotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="ValidNotAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="AuthSerial" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevocableCertificateType()`

Method Summary
`String` | `getAuthDN()` Gets the value of the authDN property.
`String` | `getAuthSerial()` Gets the value of the authSerial property.
`String` | `getIssuerDN()` Gets the value of the issuerDN property.
`String` | `getRequestId()` Gets the value of the requestId property.
`org.joda.time.DateTime` | `getValidNotAfter()` Gets the value of the validNotAfter property.
`org.joda.time.DateTime` | `getValidNotBefore()` Gets the value of the validNotBefore property.
`void` | `setAuthDN(String value)` Sets the value of the authDN property.
`void` | `setAuthSerial(String value)` Sets the value of the authSerial property.
`void` | `setIssuerDN(String value)` Sets the value of the issuerDN property.
`void` | `setRequestId(String value)` Sets the value of the requestId property.
`void` | `setValidNotAfter(org.joda.time.DateTime value)` Sets the value of the validNotAfter property.
`void` | `setValidNotBefore(org.joda.time.DateTime value)` Sets the value of the validNotBefore property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevocableCertificateType

    public RevocableCertificateType()

Method Detail

### getRequestId

    public String getRequestId()

  Gets the value of the requestId property.

  Returns:
    possible object is `String`

### setRequestId

    public void setRequestId(String value)

  Sets the value of the requestId property.

  Parameters:
    `value` - allowed object is `String`

### getAuthDN

    public String getAuthDN()

  Gets the value of the authDN property.

  Returns:
    possible object is `String`

### setAuthDN

    public void setAuthDN(String value)

  Sets the value of the authDN property.

  Parameters:
    `value` - allowed object is `String`

### getIssuerDN

    public String getIssuerDN()

  Gets the value of the issuerDN property.

  Returns:
    possible object is `String`

### setIssuerDN

    public void setIssuerDN(String value)

  Sets the value of the issuerDN property.

  Parameters:
    `value` - allowed object is `String`

### getValidNotBefore

    public org.joda.time.DateTime getValidNotBefore()

  Gets the value of the validNotBefore property.

  Returns:
    possible object is `String`

### setValidNotBefore

    public void setValidNotBefore(org.joda.time.DateTime value)

  Sets the value of the validNotBefore property.

  Parameters:
    `value` - allowed object is `String`

### getValidNotAfter

    public org.joda.time.DateTime getValidNotAfter()

  Gets the value of the validNotAfter property.

  Returns:
    possible object is `String`

### setValidNotAfter

    public void setValidNotAfter(org.joda.time.DateTime value)

  Sets the value of the validNotAfter property.

  Parameters:
    `value` - allowed object is `String`

### getAuthSerial

    public String getAuthSerial()

  Gets the value of the authSerial property.

  Returns:
    possible object is `String`

### setAuthSerial

    public void setAuthSerial(String value)

  Sets the value of the authSerial property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.